Authentication by email magic link

Authentication via Email Magic Link.

post

Authenticate users securely without passwords by sending a one-time magic link to their email. Users click the link to verify and receive an auth-key for logging in.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

This is the model class for UserAuthenticationByEmail.

emailAddressstring · email · min: 1Required

This represents the email address of the user.

callbackURLstring · uri · min: 1Required

This represents the callback url.

returnURLstring · uri · nullableOptional

This represents the return url.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
post
/api/v1/users/auth/email/magic-link

Last updated